Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::TextFillSignObjectData Class Reference
Inheritance diagram for foxit::pdf::TextFillSignObjectData:

## Public Member Functions
| TextFillSignObjectData ()
| Constructor.
| TextFillSignObjectData (const graphics::TextState &text_state, WString text)
| Constructor, with parameters. More...
| TextFillSignObjectData (const TextFillSignObjectData &text_data)
| Constructor, with another text fill-sign object data. More...
TextFillSignObjectData & | operator= (const TextFillSignObjectData &text_data)
| Assign operator. More...
void | Set (const graphics::TextState &text_state, WString text)
| Set value. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Public Attributes
WString | text
| Text content string.
graphics::TextState | text_state
| Text state information.

## Detailed Description

This class represents text fill-sign object data.

## Constructor & Destructor Documentation

## ◆ TextFillSignObjectData() [1/2]

foxit::pdf::TextFillSignObjectData::TextFillSignObjectData | ( | const graphics::TextState & | text_state,
|  | WString | text
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | text_state | Text state information.
  [in] | text | Text content string.

Returns
  None.

## ◆ TextFillSignObjectData() [2/2]

foxit::pdf::TextFillSignObjectData::TextFillSignObjectData | ( | const TextFillSignObjectData & | text_data | ) |
| inline

Constructor, with another text fill-sign object data.

Parameters

  [in] | text_data | Another text fill-sign object data.

## Member Function Documentation

## ◆ operator=()

TextFillSignObjectData& foxit::pdf::TextFillSignObjectData::operator= | ( | const TextFillSignObjectData & | text_data | ) |
| inline

Assign operator.

Parameters

  [in] | text_data | Another text fill-sign object data, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::pdf::TextFillSignObjectData::Set | ( | const graphics::TextState & | text_state,
|  | WString | text
| ) |  |
| inline

Set value.

Parameters

  [in] | text_state | Text state information.
  [in] | text | Text content string.

Returns
  None.